# Generated by Django 4.2.7 on 2023-11-07 11:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="ArticleType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Author",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="AuthorEmail",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("email", models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name="AuthorName",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("first_name", models.CharField(max_length=200)),
                ("last_name", models.CharField(max_length=200)),
                ("searchable_name", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="ExternalURL",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("url", models.URLField()),
            ],
        ),
        migrations.CreateModel(
            name="Institution",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(blank=True, null=True)),
                ("searchable_name", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Journal",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="PaperRecord",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("doi", models.TextField()),
                ("pubmed_id", models.TextField()),
                ("url", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Publisher",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Reason",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Subject",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Update",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=200)),
                ("notice_date", models.DateField()),
                ("original_date", models.DateField()),
                (
                    "nature_of_notice",
                    models.IntegerField(
                        choices=[
                            (1, "Retraction"),
                            (2, "Expression of Concern"),
                            (3, "Correction"),
                            (4, "Reinstatement"),
                        ]
                    ),
                ),
                ("paywalled", models.BooleanField()),
                ("approved", models.BooleanField(default=False)),
                ("notes", models.TextField()),
                ("admin_notes", models.TextField()),
                ("article_types", models.ManyToManyField(to="rw.articletype")),
                ("authors", models.ManyToManyField(to="rw.author")),
                ("institutions", models.ManyToManyField(to="rw.institution")),
                (
                    "journal_of_notice",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="journal_of_notice",
                        to="rw.journal",
                    ),
                ),
                (
                    "journal_of_original",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="journal_of_original",
                        to="rw.journal",
                    ),
                ),
                (
                    "notice_paper",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="notice_paper",
                        to="rw.paperrecord",
                    ),
                ),
                (
                    "original_paper",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="original_paper",
                        to="rw.paperrecord",
                    ),
                ),
                (
                    "publisher_of_notice",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="publisher_of_notice",
                        to="rw.publisher",
                    ),
                ),
                (
                    "publisher_of_original",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="publisher_of_original",
                        to="rw.publisher",
                    ),
                ),
                ("reasons", models.ManyToManyField(to="rw.reason")),
                ("retraction_watch_urls", models.ManyToManyField(to="rw.externalurl")),
                ("subjects", models.ManyToManyField(to="rw.subject")),
            ],
        ),
        migrations.CreateModel(
            name="RORRecord",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("ror_id", models.URLField(blank=True, null=True)),
                ("institution_name", models.TextField(blank=True, null=True)),
                ("grid_id", models.CharField(blank=True, max_length=255, null=True)),
                ("country", models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                "indexes": [
                    models.Index(
                        fields=["institution_name"],
                        name="rw_rorrecor_institu_4002e2_idx",
                    )
                ],
            },
        ),
        migrations.AddField(
            model_name="institution",
            name="ror_record",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="rw.rorrecord",
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="alternative_names",
            field=models.ManyToManyField(
                related_name="alternative_names", to="rw.authorname"
            ),
        ),
        migrations.AddField(
            model_name="author",
            name="emails",
            field=models.ManyToManyField(to="rw.authoremail"),
        ),
        migrations.AddField(
            model_name="author",
            name="main_name",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="rw.authorname"
            ),
        ),
        migrations.AddIndex(
            model_name="institution",
            index=models.Index(fields=["name"], name="rw_institut_name_6f1ced_idx"),
        ),
        migrations.AddIndex(
            model_name="institution",
            index=models.Index(
                fields=["searchable_name"], name="rw_institut_searcha_e33f6e_idx"
            ),
        ),
    ]
